﻿# You can place the script of your game in this file.
define fastdissolve = Dissolve(.3)
define slowdissolve = Dissolve(2.0)
define slowslowdissolve = Dissolve(5.0)

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

#scenes
image dorm room = "dorm room.jpg"
image outside = "outside dorm.jpg"
image detectiveoffice = "detectiveroom.jpg"
image dead = "dead.jpg"
image detectiveroom = "detectiveroom2.jpg"
image J1 = "garycase.jpg"
image J2 = "J2.jpg"
image groundinterview = "ground_interview.jpg"
image hoverinterview = "hover_interview.jpg"
image prison = "prison_cell.jpg"
image bars = "prisonbar.png"
#characters
image connor = "connor.png"
image kyle = "kyle.png"
image ralph = "ralph.png"
image McCart = "McCart.png"
image seabury = "seabury.png"
image ruth = "ruth.png"
image Boss = "Boss.png"
image drew = "drew.png"
image cheryl = "cheryl.png"
image donna = "donna.png"
image cherylg = "cherylg.jpg"
image cherylarrestg = "cherylgground.jpg"
image cherylarresth = "cherylghover.jpg"
image cherylarrest1 = "cherylg1.jpg"
image cherylarrest2 = "cherylg2.jpg"
image cherylarrest3 = "cherylg3.jpg"
image wrong1 = "wrong1.jpg"
image wrong2 = "wrong2.jpg"
image wrong3 = "wrong3.jpg"
image wrong4 = "wrong4.jpg"
image cherylfile = "cherylfile.jpg"
image donnafile = "donnafile.jpg"
image connorfile = "connorfile.jpg"
image kylefile = "kylefile.jpg"
image ralphfile = "ralphfile.jpg"
image drewfile = "drewfile.jpg"
image intro1 = "intro1.jpg"
image intro2 = "intro2.jpg"
image intro3 = "intro3.jpg"
image intro4 = "intro4.jpg"
image intro5 = "intro5.jpg"
image intro6 = "intro6.jpg"
image nathanintro = "nathanintro.jpg"
image donnajail1 = "donnajail1.jpg"
image donnajail2 = "donnajail2.jpg"
image donnajail3 = "donnajail3.jpg"
image donnajail4 = "donnajail4.jpg"
image kylejail1 = "kylejail1.jpg"
image kylejail2 = "kylejail2.jpg"
image kylejail3 = "kylejail3.jpg"
image kylejail4 = "kylejail4.jpg"
# Declare characters used by this game.
#Characters
define n = Character('Nathan', color="c8ffc8")
define b = Character('Boss',color="c8ffc8")

#Roommates
define d = Character('Donna',color="c8ffc8")
define c = Character('Connor',color="c8ffc8")
define ch = Character('Cheryl',color="c8ffc8")
define r = Character('Ralph',color="c8ffc8")
define R = Character('Ruth',color="#c8ffc8")
define k = Character('Kyle',color="#c8ffc8")
define D = Character('Drew',color="#c8ffc8")



#Police
define S = Character('Senior Officer Seabury',color="#c8ffc8")
define m = Character('Junior Officer McCart',color="c8ffc8")
  

# The game starts here.
init:
    $ narrator = NVLCharacter(None, kind=nvl)
label start:
    stop music
    play music "drama.mp3"
    show intro1 with slowslowdissolve
    "  "
    
    show intro2 with slowslowdissolve
    "   "
    
   
    show intro3 with slowslowdissolve
    " "
    
    stop music fadeout 2
    play music "mystery1.mp3" fadein 2
    show intro4 with slowslowdissolve
    "  "
    
    show intro5 with slowslowdissolve
    "  "
    #stop music fadeout 2
    
    play music "ambulance.mp3" 
    show intro6 with slowslowdissolve
    "   "
    stop music
     
    
    
    
    show nathanintro
    play music "typewriter.mp3"
    nvl clear
    "You name is Nathan, a trained writer and journalist." 
    
    "Your wealthy parents consider you a disgrace."
    
    "They wanted you to become a doctor but you choose journalism instead so they decided to disown you."
                                                                                                          
     
    "You have had it rough and many newspaper editors considered your stories unsubstantial and based on hunches."
    
    "That was when you decided to become a private eye." 
    
    "Now trying to settle in your new career, your girlfriend just left you and you recently messed up a case and let the culprit get away." 
     
    "You know you have a knack for finding out things so you will not give up."
     
    "You always believed that one day you are going to get your big break and solve that mystery that would make up for all the shame." 
     
    "It is finally here" 
     
    "THE CASE OF THE DRUNKEN COLLEGE STUDENT "
    stop music
    nvl clear
    $ nvl_erase()
    

    #scene 1
    #Boss gives Nathan a chance to get off of suspension: A murder case at the state university
    
    
    scene detectiveoffice 
    play music "crime.mp3"
    nvl clear
    "AT THE LOCAL PRECINCT"
    nvl clear
    
    n "\"knock knock\""
    
    b "\"come in\""
    n "\"You wanted to see me?\""
    
    scene detectiveroom
    show Boss
    b "\"Yes I did.\""
    b "\"I wanted to talk to you about the Smith case\""
    n "\"So sorry about that sir. I know I messed things up\""
    
    b "\"Yes you did and you have made a mess of things for the last time\""
    b "\"Thanks to you we arrested the wrong person and months of undercover work have gone down the drain\""
    
    n "\"Sorry sir\""
    
    b "\"You better be sorry. The entire operation is on the line because of you\""
    b "\"I am tempted to put you behind a desk from now on....supension\""
    b "\"You'll do less harm from there\""
    
    n "\"Sir you can't do this. You have to give me one more chance\""
    b "\"You cannot tell me what to do or not do in my own office\""
    
    n "\"Sorry Sir\""
    b "\"I'll give you one more chance.\""
    b "\"We have a new case. Here is the case file. You mess this one up and you are out of here\""
    hide detectiveroom
    
    #case file
    show J1 
    nvl clear
    "case background"
    nvl clear
    n"\"Time to visit the crime scene\""
    

    #scene 2
    #Outside the Dormitory(night)
    #play sound "mystery1.mp3"
    ##need scene outside dorm with police cars
    scene outside
    nvl clear
    "JUST OUTSIDE THE COLLEGE DORM"
    nvl clear
   
    

    #Officer RUTH, 
    show McCart
    m "\"Officer McCart with Campus Police.\""
    
    #he presents her badge.
    m"\" I'll need to see ID and credentials please.\""

    
#CHOICE TIME
    nvl clear
    "What do you want to do?"
    "You can:"
    nvl clear
menu:
    "Co-operate":
        jump choice1_Cooperate
        
        
    "Refuse":
        jump choice1_Refuse
        
        
        
        label choice1_Cooperate:
            $ menu_flag = True
            show outside
            with fastdissolve
            
            #COOPERATIVE
            n "\"Of course officer here are my papers.\""
            #Nathan reaches into his pocket and pulls out an ID and set of papers.
        
            #Ruth takes the papers and examines them for a moment.
            m "\"Alright, these check out.\""
            m "\"Follow me\""
           
            
            jump choice1_done
            
        label choice1_Refuse:
            $ menu_flag = False 
            show outside
            with fastdissolve
        
            #RELUCTANT
            n "\"What if I refuse?\""
            #The officer is clearly agitated.
            
            m "\"Because sir, you will not be allowed to view the crime scene otherwise. 
               And if you press the issue, I'll have you arrested disorderly conduct.\""
            
            m "\"It's your call.\""
            
            nvl clear
            "You reach into your pocket and pull out an ID and set of papers."
            
            "Officer McCart takes the papers and examines them for a moment."
            nvl clear
            
           
            m "\"Alright, these check out. Follow me\""
            jump choice1_done
 
        label choice1_done:
            
            
            
            
            
            
label continue1:
    #scene 3
    scene dead
    with slowdissolve
    nvl clear
    "AT THE SCENE OF THE CRIME"
    nvl clear
    show McCart
    n "\"Any details on the victim so far?\"" 
    m "\"Victim's name was Gary, twenty-year old, male, sophomore,studying architecture according to
    their RA.\""
    m "\" The meds say it was a peanut allergy\""
    m "\" Probably something in his food\""
    n "\" Aah. The old death by peanut situation\""
    n "\" Have you questioned the person who cooked the food? I can't imagine he put peanuts in his own food if he was allergic to it\""
    m "\" It was takeout and it was from a restaurant that does not cook with peanuts or peanut products
       because the cook himself is allergic so someone must have dropped it in either on purpose or by accident.\""
    n "\" Wow. Very perplexing indeed\""
    n "\" and the person who found him?\""
    m "\" Well her name is Donna. She is our prime susect because she was the only one to come into contact with the food
          apart from restaurant.\""
    m "\"However the security gaurd confirmed her whereabouts at the time of the victims death and she is allergic to peanuts herself
       so there is no way she could have handled the peanuts\""
    n "\" I see. Perplexing indeed\""
    m "\" but we are still keeping an eye on her\""
    m "\" Seargent\""
    
    #hide McCart
    show seabury at right
    S "\" Officer McCart. Just him?\""
   # show McCart
    m "\" Others have yet to arrive ma'am.\""
    hide McCart
    hide seabury
    

    nvl clear
    "At this point you can choose to"
    nvl clear
menu:

    "INTERRUPT":
        jump choice2_INTERRUPT
        
    "NOT INTERRUPT":
        jump choice2_NOTINTERRUPT
        
        
        label choice2_INTERRUPT:
            $ menu_flag = True
            show dead
            with fastdissolve
            show seabury
            n "\" We got in before the traffic hit.\""
            S"\" First off, don't interrupt me when I'm speaking to one of my officers.
            Second, I don't particularly enjoy giving out a statement twice in one night, so you may want to keep your
            mouth shut.\""
            n "\" Relax much Seabury?\""
            S "Don't tempt me Nathan\""
            jump choice2_done
               
               
        label choice2_NOTINTERRUPT:
            $ menu_flag = False
            show dead
            with fastdissolve
            show seabury
            S "\" If that's the case it's your lucky day.\""
            n "\" Oh is it? Are you going to take me back then?\""
            S "\" Sorry honey. No such luck.\""
            S "\" Its your lucky day because none of the other investigators are here yet so you get first dibs\""
            jump choice2_done
        label choice2_done:
        
menu:
    "Choose to"

    "NOD HEAD IN AGREEMENT":
        jump choice3_nodheadinagreement
        
    "CONFRONT":
        jump choice3_confront
        
        
        label choice3_nodheadinagreement:
            $ menu_flag = True
            show dead
            show seabury
            with fastdissolve
            jump choice3_done
        
        
        label choice3_confront:
            $ menu_flag = False
            show dead
            with fastdissolve
            show seabury
            n "\" Or what?\""
            S "\"Or I'll make you wait two hours to interview the suspects.\"" 
            S "\"You never did know how to show respect Nathan. Now don't bother me again.\""
            n "\" I can see someone still isn't done breaking my heart.\""
            S "\" Why don't you stop being childish and do your job Nathan.\""
            n "\" Fine. I'm sorry\""
            jump choice3_done
        label choice3_done:
            

label continue2:
    show seabury
    n "\"And the suspects?\""
    S "\"That group is being held in the bedroom over there as we question
        them one by one in the adjacent room\""
    n "\" Won't that compromise the reports of the suspects if they hear each other.\""
    S "\"If I didn't know you know better I would have commended you on your impressive insight.\""
    S "\"Normally yes, but these rooms have exceptional sound proofing.\""
    n "\"How do you know that?\""
    S "\"Do you honestly think this is the first time a crime has occurred in one of these dorms?\""
    n "\"I guess that makes sense.\""
   
    n "\"May I seem them now?\""
                       
    S "\"We've finished our own interrogations, feel free to interview them as you like.\""
    n "\" Thank you 'Sergeant'.\""
    hide seabury







label interview:
    show groundinterview
    nvl clear
    "Time to interview the suspects"
    nvl clear
    hide dorm room
    show groundinterview
    menu:
        "Donna":
            jump donna
        "Connor":
            jump connor
        "Cheryl":
            jump cheryl
        "Ralph":
            jump ralph
        "Kyle":
            jump kyle
        "Drew":
            jump drew

    
    label donna:
        show dorm room
        show donna
        n"\"What is your name?\""
        d"\"Donna.\""
        n"\"And you're the one who found the body?\""
        d"\" Yes\""
        n"\"Where did you find his body?\""
        d"\" In his dorm room. We were eating take out and watching a movie together and I had to go downstairs to pick up a package I had
        ordered earlier in the week and when I got back he was on the floor choking on his own swollen tongue.\""
        d "\" I called an ambulance but they got here too late. They said it was an allergic reaction.\""
        n "\" We are both allergic to peanuts and we made sure to stay away from them. I just don't understand how this could have happened.\""
        n"\" How did you know the victim?\""
        d"\" He was my boyfriend. I live right down the hall and we sort of hooked up at the the beginning of the year 
        but we broke it off a few weeks later but got back together again last month\""
        n"\" Any idea who would want to hurt him?\""
        d"\" Well I did see him arguing with Ralph. They even got into a fight\""
        n"\" Do you have any idea why?\""
        d"\"No idea\""
        n"\" Did you notice anything else that was suspicious on the day he was murdered?\""
        d "\" Well, now that I think about it, I am sure I shut the door all the way on my way down to get 
        the food but when i got back it looked like it was opened.\""
        d "\" I thought nothing of it at the time and assumed it was Gary who had opened it to talk to someone or just use the bathroom\""
        n "\" I see....Did you notice anything else that was suspicious?\""
        d "\" well...I don't know if this is even related to the case but....\""
        n "\"What are you talking about\""
        d "\" Its probably nothing. It was just Cheryl. She was acting strange.\""
        n "\" What do you mean by strange?\""
        d "\" Well she told me that Kyle was in the kitchen and that he wanted to talk to me\""
        d "\" He is my ex you see. I broke up with him because of his drinking problem\""
        d "\" He hasn't spoken to me in a while because he is so proud and chose drinking over me
           so when Cheryl said he wanted to talk to me I thought it was someting important\""
        d "\" so I left the food on the table and went to the kitchen because I was hoping he was gonna give in and let me take him to counselling\"" 
        d "\" but there was no one there. And when I went back to talk to Cheryl, she was gone\""
        n"\"Thats all right. No further questions. Thank you for your time\""
        hide donna
        "Review casefile"
        show donnafile
        "    "
        $ nvl_erase()
    
    
    nvl clear
    hide donnafile
    show groundinterview
    "Would you like to interview someone else?"
    nvl clear
    menu rollback_menu1:
        "Yes.":
            jump interview

        "No.":
            jump arrest
           
    label connor:
        show dorm room
        show connor
        #Connor
        n "\"Name?\""
        c "\"Connor\""
        n "\" And you're the one who found the body?\""
        c "\" No\""
        n "\" Where were you at the time of the crime\""
        c "\" I was in my room playing video games\""
        n "\" All by yourself?\""
        c "\" Yes\""
        n "\" How did you know the victim?\""
        c "\" We were suite mates\""
        n "\" Were you two close at all?\""
        c "\" Not really, I tend to spend most of my time either working or playing
        games. We never talked much?\""
        n "\" And when you did?\""
        c "\" Honestly? He was pretty damn grating.\""
        n "\" How?\""
        c "\"I don't know, he was just complaining all the time about work and anytime
        you tried to add something to the conversation he would turn it around and
        make it about himself again.\""
        n "\"So you tried to avoid him for the most part?\""
        c "\"Yeah, but it was Ralph I felt sorry for\""
        n "\"Why do you say that?\""
        c "\"Because Ralph and Gary shared the same room and he had to listen to Gary
        mumble on about himself. He is the patient type  but if you ask me he's
        just a slow burn from going off.\""
        n "\"I see\""
        n "\"Did you notice anything suspicious on the day he was murdered?\""
        c "\" no. Like I told you already I was playing video games.
        I really can't tell you anything else\""
        c "\" Except... well....\""
        n "\" Yes, what is it?\""
        c "\" Don't tell them I told you this because I don't want to be a target but I believe this is involved somehow how.
        Drew and Kyle belong to a drug ring and I think Gary was going to snitch on them. One of them may have done it. 
        Here, I can even show you the drug stash\""
        n "\" This is serious. Thank you for showing me this\""
        c "\" Can I go now?\""
        n "\" Yes of course. Thank you for you time\""
        hide connor
        "review casefile"
        show connorfile
        "     "
        $ nvl_erase()
        
        nvl clear   
        "Would you like to interview someone else?"  
        hide connorfile
        show groundinterview
        nvl clear
        menu rollback_menu2:
            "Yes.":
                jump interview

            "No.":
                jump arrest
    
    label cheryl:
        show dorm room
        show cheryl
        #CHERYL
        n "\"name?\""
        ch "\"Cheryl.\""
        n "\" Are you the one who found the victim\""
        ch "\" no \""
        n "\"where were you at the time of the murder?\""
        ch "\" I was with Ralph. We were working on a assignment together\""
        n "\"How did you know the victim?\""
        ch "\"We were an item once.\""
        n "\"Once?\""
        ch "\"We broke up a few months back, it just didn't work out.\""
        n "\"What happened?\""
        ch "\"I'm sorry, but I don't think that's any of your business.\""

        #CHOICE TIME
        #POLITE
        menu:
            "Be polite":
                jump polite
            
            "Be insensitive":
                jump hardtruth

    label polite:
        show dorm room
        show cheryl
        n "\" I won't pry then.\""
        n "\" Do you know anyone who would want to hurt him?\""
        ch "\" No I don't\""
        n "\"Ok? Did you notice anything suspicious on the day he was murdered?\""
        ch "\" no. Like I said I was in a study session the entire time and I didn't see anything happen\""
        n "\" Alright.... That will be all. Thank you for your time.\""
        "Review casefile"
        hide cheryl
        show cherylfile
        "  "
        $ nvl_erase()
        jump rollback_menus
        
        #HARD TRUTH
        label hardtruth:
        show dorm room
        show cheryl
        n "\"Your ex is lying on the floor dead just a few months after you two
        broke up and allergies aren't something you typically share between
        casual friends.\"" 
        n "\"  Right now I'm your best chance to get through this mess
        unscathed, but you have to give me something.\""
        
        n"\" Look, is it really a big deal if you tell me? Besides, everyone will
        know once your forced to take the witness stand.\""
        
        ch "\"Like I said, I don't think that's any of your business\""
        ch "\" Can I go now\""
        n "\" No! I am not done yet. do you know anyone who would want to hurt him?\""
        ch "\"no I don't\""
        n "\"Did you notice anything suspicious on the day he was murdered?\""
        ch "\" no. Like I said I was in a study session the entire time and I didn't see anything happen\""
        ch "\"Can I go now?\""
        n "\" All right have it your way. Good day\""
        hide cheryl 
        "Review casefile"
        show cherylfile
        "  "
        $ nvl_erase()
        jump rollback_menus
        
        label rollback_menus:
            nvl clear   
            hide cherylfile
            show groundinterview
            "Would you like to interview someone else?"
            show groundinterview
            nvl clear
            menu rollback_menu3:
                "Yes.":
                    jump interview

                "No.":
                    jump arrest
        
    label ralph:
        
        show dorm room
        with slowdissolve
        show ralph
        #Ralph
        n "\"name?\""
        r "\"Ralph\""
        n "\"Are you the one who found the body?\""
        r "\"No\""
        n "\" Where were you at the time of the murder?\""
        r "\"I was in a study session with Cheryl. We were working on a class project\""
        n "\"How do you know the victim?\""
        r "\"He was my roommate\""
        n "\"Any tension between you guys?\""
        r "\"No not really. I barely spoke to him\""
        n "\"Do you know anyone who might have wanted him dead?\""
        r "\"Between you and me, I think Connor did it.\""
        n "\"What makes you say that?\""
        r "\"Its not normal that he is always playing video games. I think he has something to hide.
        You should really check him out\""
        n "\"  Did you notice anything suspicious on the day he was murdered\""
        r "\" Well I don't know if this relates to the crime but during the study session Cheryl went out to use the bathroom
           and when she got back she did seem a little nervous\""  
        r "\"She couldn't even hold her pen. Her hands were shaking. And when we heard Donna scream, Eveyone run out
        to see what happened, but Cheryl just sat there\""
        n "\" I see.....Anything else?\""
        r "\" No. That was all. But just so you know. Cheryl gets nervous a lot. I think she is on meds. She may have just
        been having side effects or something. I don't think she did it\""
        n "\" Yes I see. And what about you. There was tension between you and the victim. Isn't that right?\""
        r "\"Well that depends on what you mean by tension.\""
        n "\"Eyewitnesses say they saw you in a fight...I say thats tension enough.\""
        r "\" It was just a little argument that's all\""
        n "\" I see. Just an argument? About what?\""
        r "\" Nothing really.He took some of my stuff from the fridge and I was going to eat it for dinner\""
        n "\" And that was all the fight was about?\""
        r "\" Yes\""
        n "\" Alright....That will be all. Thank you for your time\""
        r "\" No problem\""
        hide ralph
        "Review casefile"
        show ralphfile
        "  "
        $ nvl_erase()
    
        
        
        nvl clear
        hide ralphfile
        show groundinterview
        "Would you like to interview someone else?"    
        nvl clear
        menu rollback_menu4:
            "Yes.":
                jump interview

            "No.":
                jump arrest
                
                
                
    label kyle:
        show dorm room
        with slowdissolve
        show kyle
        n "\"name?\""
        k "\"Kyle\""
        n "\"Are you the one who found the body?\""
        k "\"no\""
        n "\"Where were you at the time of the murder?\""
        k "\" I was out in town with my friend Drew\""
        n "\" How do you know the victim?\""
        k "\" We were roommates\""
        n "\"Any tension between you guys?\""
        k "\"Well, I avoided him a lot because we were usually in conflict\""
        n "\"What do you mean by that?\""
        k "\"Well he was always bothered by the fact that I was blasting my rock music in the dorm\"" 
        n "\"I see. Do you know anyone who might have wanted him dead?\""
        k "\"Well...if you ask me, I think he had a lot of enemies. Its hard to say.\""
        n "\"What makes you think that?\""
        k "\"Well he always got on everyone's nerve. Honestly I think he got whatever was coming to him after he stole my girlfriend.\""
        n "\"Your girlfriend?\""
        k "\"Ever since he and Donna started hanging out, its like I don't even exist\""
        k "\" I know she left me because of him. He must have told her something bad about me 
           and honestly I have to say I am glad he is dead.\""
        k "\" Good riddance to bad rubbish\""
        n "\" I see. And did you notice anything suspicious on the day he was murdered?\""
        k "\" no. I did not. Like I said I was in town. By the time I got back there was yellow tape everywhere.\""
        n "\"I see. Well thank you for your time\""
        k "\" No problem\""
        hide kyle
        "Review casefile"
        show kylefile
        "  "
        $ nvl_erase()
        
        
        
        nvl clear   
        hide kylefile
        show groundinterview
        "Would you like to interview someone else?"    
        nvl clear
        menu rollback_menu5:
            "Yes.":
                jump interview

            "No.":
                jump arrest
        
        
    label drew:
        show dorm room
        with slowdissolve
        show drew
        n "\"name?\""
        D "\"Drew\""
        n "\" Are you the one who found the body\""
        D "\"Yes\""
        n "\" Where did you find the body?\""
        D "\"In the room. I had just come back from town and I opened the door and saw him
        lying on the floor but i thought he was just drunk or asleep or something so i walked on by into my room.\""
        D "\"It wasn't until I heard Donna screaming that I realised he had collapsed.\""
        n "\"How did you know the victim?\""
        D "\"He was my suitemate.\""
        n "\"Any idea who would want to hurt him?\""
        D "\" I don't know. I didn't know him that well.\""
        n "\"Did you notice anything suspicious on the day he was murdered?\""
        D "\" no. Nothing other than what I have already told you.
        Now please excuse me. I have a midterm to study for\""
        n "\" I see. Well Thank you for your time.\""
        D "\" Yea sure\""
        hide drew
        "Review casefile"
        show drewfile
        "   "
        $ nvl_erase()
        
        
        nvl clear 
        hide drewfile
        show groundinterview
        "Would you like to interview someone else?"    
        nvl clear
        menu rollback_menu6:
            "Yes.":
                jump interview

            "No.":
                jump arrest
        
        
        
        
          
    
        

   
     
                       
#Review case file to pick the culprit
#show all the case files in image map form
                       
label arrest:
    
    show detectiveroom
    show Boss
    b "\" well Nathan have you figured out who the culprit is?\""
    n "\" Yes it is\""
    #show pictures and let him choose
    hide Boss
    
    hide detectiveroom
    show groundinterview
    nvl clear
    "Time to pick the culprit"
    nvl clear
    hide dorm room

    menu:
        "Connor":
            jump connor1
        
        "Cheryl":
            jump cheryl1
        
        "Drew":
            jump drew1
    
        "Kyle":
            jump kyle1
        
        "Donna":
            jump donna1
        
        "Ralph":
            jump ralph1
    

    
    
    
    
    
    
    #Student A:Cheryl
    #Nathan accuses student A
    label cheryl1:
        play music "happy.mp3"
        show cherylg  
        "   "
        
        show cherylarrest1
        " "
        
        show cherylarrest2
        " "
        
        show cherylarrest3
        " "
        
   
        return




    #Student B:Connor
    #Nathan accuses student B
    #He was wrong. Nathan is fired
    label connor1:
        play music "sad.mp3"
       
        show wrong1
        "  "        
        show wrong2
        " "
        show wrong3
        " "
        show wrong4
        " "
        return 
        
        

        #Student C:Donna
        #Friends with student A (Cheryl). Does not want her to go to jail
        #Student C wants to go to jail instead of student A (Cheryl)
    label donna1:
        play music "sad2.mp3"
        show donnajail1
        "  "
        
        show donnajail2
        "  "
        
        show donnajail3
        "  "
        
        show donnajail4
        "  "
        
        return
            
            
    label ralph1:
        play music "sad.mp3"
        show wrong1
        " "
        show wrong2
        " "
        
        show wrong3
        " "
        
        show wrong4
        " "
        return 
            
            
    label kyle1:
        play music "sad2.mp3"
        show kylejail1
        "  "
        
        show kylejail2
        "  "
        
        show kylejail3
        "  "
        
        show kylejail4
        "  "
        return
        
        
     
    label drew1:
        play music "sad.mp3"
        show wrong1
        "  "        
        show wrong2
        " "
        show wrong3
        " "
        show wrong4
        " "
        return
         
            
    
        
            
return
        
    


   



   
        


    
        
 
    

